Package com.xebialabs.xlrelease.domain.events

# Class CommentCreatedEvent

java.lang.Object
com.xebialabs.xlrelease.domain.events.CommentCreatedEvent

All Implemented Interfaces:
  `CommentEvent`, `XLReleaseEvent`, `Serializable`, `scala.Equals`, `scala.Product`

public class CommentCreatedEvent extends Object implements CommentEvent, scala.Product, Serializable
Event published when a comment is created on a task. param: task the task which was commented. param: comment the comment instance. param: author username of the author of the comment. param: createdByUser flag to differentiate if the comment was created by user or by any script task

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommentCreatedEvent(Task task, Comment comment, String author, boolean createdByUser)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `$lessinit$greater$default$4()`
  `static CommentCreatedEvent`
  `apply(Task task, Comment comment, String author, boolean createdByUser)`
  `static boolean`
  `apply$default$4()`
  `String`
  `author()`
  `boolean`
  `canEqual(Object x$1)`
  `Comment`
  `comment()`
  `CommentCreatedEvent`
  `copy(Task task, Comment comment, String author, boolean createdByUser)`
  `Task`
  `copy$default$1()`
  `Comment`
  `copy$default$2()`
  `String`
  `copy$default$3()`
  `boolean`
  `copy$default$4()`
  `boolean`
  `createdByUser()`
  `boolean`
  `equals(Object x$1)`
  `int`
  `hashCode()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `Task`
  `task()`
  `Date`
  `timestamp()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple4<Task,Comment,String,Object>>`
  `unapply(CommentCreatedEvent x$0)`
  `String`
  `username()`
  `void`
  `username_$eq(String x$1)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### CommentCreatedEvent

    public CommentCreatedEvent(Task task, Comment comment, String author, boolean createdByUser)

- ## Method Details

  - ### $lessinit$greater$default$4

    public static boolean $lessinit$greater$default$4()

  - ### apply

    public static CommentCreatedEvent apply(Task task, Comment comment, String author, boolean createdByUser)

  - ### apply$default$4

    public static boolean apply$default$4()

  - ### unapply

    public static scala.Option<scala.Tuple4<Task,Comment,String,Object>> unapply(CommentCreatedEvent x$0)

  - ### username

    public String username()
    Specified by:
      `username` in interface `XLReleaseEvent`

  - ### username_$eq

    public void username_$eq(String x$1)
    Specified by:
      `username_$eq` in interface `XLReleaseEvent`

  - ### timestamp

    public Date timestamp()
    Specified by:
      `timestamp` in interface `XLReleaseEvent`

  - ### task

    public Task task()

  - ### comment

    public Comment comment()

  - ### author

    public String author()

  - ### createdByUser

    public boolean createdByUser()

  - ### copy

    public CommentCreatedEvent copy(Task task, Comment comment, String author, boolean createdByUser)

  - ### copy$default$1

    public Task copy$default$1()

  - ### copy$default$2

    public Comment copy$default$2()

  - ### copy$default$3

    public String copy$default$3()

  - ### copy$default$4

    public boolean copy$default$4()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`